Package commoble.morered.wire_post

# Class WireSpoolItem

java.lang.Object
net.minecraft.world.item.Item
commoble.morered.wire_post.WireSpoolItem

All Implemented Interfaces:
  `net.minecraft.world.flag.FeatureElement`, `net.minecraft.world.level.ItemLike`, `net.neoforged.neoforge.common.extensions.IItemExtension`

public class WireSpoolItem extends net.minecraft.world.item.Item

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraft.world.item.Item

`net.minecraft.world.item.Item.Properties, net.minecraft.world.item.Item.TooltipContext`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final net.minecraft.tags.TagKey<net.minecraft.world.level.block.Block>`
`postBlockTag`

### Fields inherited from class net.minecraft.world.item.Item

`ABSOLUTE_MAX_STACK_SIZE, BASE_ATTACK_DAMAGE_ID, BASE_ATTACK_SPEED_ID, BY_BLOCK, canRepair, DEFAULT_MAX_STACK_SIZE, MAX_BAR_WIDTH`

### Fields inherited from interface net.minecraft.world.flag.FeatureElement

`FILTERED_REGISTRIES`

## Constructor Summary

Constructors
Constructor
Description
`WireSpoolItem(net.minecraft.world.item.Item.Properties properties, net.minecraft.tags.TagKey<net.minecraft.world.level.block.Block> postBlockTag)`

## Method Summary

Modifier and Type
Method
Description
`void`
`inventoryTick(net.minecraft.world.item.ItemStack stack, net.minecraft.world.level.Level worldIn, net.minecraft.world.entity.Entity entityIn, int itemSlot, boolean isSelected)`
`boolean`
`shouldRemoveConnection(net.minecraft.core.BlockPos connectionPos, net.minecraft.world.level.Level world, net.minecraft.world.entity.Entity holder)`
`net.minecraft.world.InteractionResult`
`useOn(net.minecraft.world.item.context.UseOnContext context)`
Called when this item is used when targetting a Block

### Methods inherited from class net.minecraft.world.item.Item

`appendHoverText, asItem, builtInRegistryHolder, byBlock, byId, canAttackBlock, canFitInsideContainerItems, components, finishUsingItem, getAttackDamageBonus, getBarColor, getBarWidth, getBreakingSound, getCraftingRemainingItem, getDefaultAttributeModifiers, getDefaultInstance, getDefaultMaxStackSize, getDescription, getDescriptionId, getDescriptionId, getDestroySpeed, getDrinkingSound, getEatingSound, getEnchantmentValue, getId, getName, getOrCreateDescriptionId, getPlayerPOVHitResult, getTooltipImage, getUseAnimation, getUseDuration, hasCraftingRemainingItem, hurtEnemy, initializeClient, interactLivingEntity, isBarVisible, isComplex, isCorrectToolForDrops, isEnchantable, isFoil, isRepairable, isValidRepairItem, mineBlock, modifyDefaultComponentsFrom, onCraftedBy, onCraftedPostProcess, onDestroyed, onUseTick, overrideOtherStackedOnMe, overrideStackedOnOther, postHurtEnemy, releaseUsing, requiredFeatures, toString, use, useOnRelease, verifyComponentsAfterLoad`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.minecraft.world.flag.FeatureElement

`isEnabled`

### Methods inherited from interface net.neoforged.neoforge.common.extensions.IItemExtension

`canBeHurtBy, canContinueUsing, canDisableShield, canElytraFly, canEquip, canGrindstoneRepair, canPerformAction, canWalkOnPowderedSnow, createEntity, damageItem, doesSneakBypassUse, elytraFlightTick, getAllEnchantments, getArmorTexture, getBurnTime, getCraftingRemainingItem, getCreatorModId, getDamage, getDefaultAttributeModifiers, getEnchantmentLevel, getEnchantmentValue, getEntityLifespan, getEquipmentSlot, getFoodProperties, getHighlightTip, getMaxDamage, getMaxStackSize, getSweepHitBox, getXpRepairRatio, hasCraftingRemainingItem, hasCustomEntity, isBookEnchantable, isDamageable, isDamaged, isEnderMask, isNotReplaceableByPickAction, isPiglinCurrency, isPrimaryItemFor, makesPiglinsNeutral, onAnimalArmorTick, onDestroyed, onDroppedByPlayer, onEntityItemUpdate, onEntitySwing, onItemUseFirst, onLeftClickEntity, onStopUsing, setDamage, shouldCauseBlockBreakReset, shouldCauseReequipAnimation`

## Field Details

### postBlockTag

protected final net.minecraft.tags.TagKey<net.minecraft.world.level.block.Block> postBlockTag

## Constructor Details

### WireSpoolItem

public WireSpoolItem(net.minecraft.world.item.Item.Properties properties, net.minecraft.tags.TagKey<net.minecraft.world.level.block.Block> postBlockTag)

## Method Details

### useOn

public net.minecraft.world.InteractionResult useOn(net.minecraft.world.item.context.UseOnContext context)
Called when this item is used when targetting a Block

Overrides:
  `useOn` in class `net.minecraft.world.item.Item`

### inventoryTick

public void inventoryTick(net.minecraft.world.item.ItemStack stack, net.minecraft.world.level.Level worldIn, net.minecraft.world.entity.Entity entityIn, int itemSlot, boolean isSelected)

Overrides:
  `inventoryTick` in class `net.minecraft.world.item.Item`

### shouldRemoveConnection

public boolean shouldRemoveConnection(net.minecraft.core.BlockPos connectionPos, net.minecraft.world.level.Level world, net.minecraft.world.entity.Entity holder)